hal (0.5.11~git20080402-1osso1) unstable; urgency=low

  * New downstream git snapshot.
    - Fix unaligned accesses on hald-probe-volume. (Fixes: NB#81864)

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 02 Apr 2008 18:48:27 +0300

hal (0.5.11~git20071221-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Fix improbable but possible endless loop in probe-omap and
      probe-smbios. (Fixes: NB#72809)

 -- Guillem Jover <guillem.jover@nokia.com>  Fri, 21 Dec 2007 21:34:00 +0200

hal (0.5.10-2) unstable; urgency=low

  * debian/rules
    - Remove /usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi which
      effectively disables xorg input hotplugging again
      (Closes: #447666, #447676, #447841).
      This is only a temporary workaround until xserver-xorg has been fixed
      to provide a clean upgrade path for non-US keyboard layouts.
  * debian/hal.examples
    - Install 10-x11-input.fdi under /usr/share/doc/hal/examples/ for the time
      being.
  * debian/patches/71_realpath.patch
    - Include stdlib.h in tools/hal-disable-polling.c for the realpath
      function prototype definition (Closes: #447657).
      Patch by dann frazier, thanks.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Oct 2007 15:38:34 +0200

hal (0.5.10-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release.
    - Ships the x11-input.fdi file which is required for the xorg input
      hotplugging (Closes: #446851).
    - Correctly initializes the dbus error struct in the acpi addon
      (Closes: #438802).

    hal-device-manager has been removed from the upstream tarball. There is
    now a separate project called gnome-device-manager which is intended to
    replace hal-device-manager.
  * Remove obsolete files
    - debian/hal-device-manager.1
    - debian/hal-device-manager.desktop
    - debian/hal-device-manager.install
    - debian/hal-device-manager.manpages
    - debian/patches/62_dbus-python-0.80.patch
    - debian/pyversions
  * debian/rules
    - Remove the dh_pysupport call.
    - Enable the hal umount helper.
  * debian/control
    - Remove Build-Depends: python, python-dbus, python-support.
    - Remove binary package hal-device-manager.
    - Replace Suggests: hal-device-manager with gnome-device-manager.
    - Use the new "Homepage:" field to specify the upstream URL.
    - Add a Build-Depends: gperf. This utility is required for building the
      hal-setup-keymap binary that is necessary for the multimedia key
      re-mapping support.
    - Add a Recommends: libsmbios-bin [i386 amd64]. The libsmbios-bin
      package ships the dellWirelessCtl utility which is required for the
      RF kill switch support on DELL laptops.
    - Add a Depends: pm-utils. Beginning with this release we will only
      support pm-utils as suspend infrastructure.
    - Add a versioned Depends on mount (>= 2.13). This is a requirement of the
      hal umount helper.
  * debian/libhal1.shlibs, debian/libhal-storage1.shlibs
    - Bump shlibs to >= 0.5.10 due to ABI additions.
  * debian/hal.install
    - Install the hal-setup-keymap binary.
    - Install the hal umount helper to /usr/sbin as it has dependencies on
      libraries in /usr/lib.
  * debian/hal.links
    - Create a symlink from /usr/sbin/umount.hal to /sbin.
  * debian/watch
    - Update to new download location at http://hal.freedesktop.org/releases/.
  * Remove patches that were merged upstream
    - debian/patches/68-pass-noquirks-to-pm-utils.patch
    - debian/patches/70-libhal-changeset-memleak.patch
    - debian/patches/75-hal-serial-null.patch
  * debian/patches/70_killswitch_dell.patch
    - Fix the path for the dellWirelessCtl utility (Closes: #443583).
  * debian/patches/02_powerscripts.patch,
    debian/patches/14_power_suspend_linux_pmu_fix.patch
    - As we only support pm-utils, these patches have become obsolete and are
      thus removed.
  * debian/patches/55_nonpolkit-mount-policy.patch
    - Rework patch for this hal version. Throw a Volume.PermissionDenied error
      if a non-removable device is mounted by a user other than root.

  [ Sebastian Dröge ]
  * debian/patches/68_alternative-cdrw-capacity-detection.patch
    - Add an alternative method of detecting the capacity of CDR/CDRW discs.
      Only using the old method fails for some drives, for more information
      see http://bugs.freedesktop.org/show_bug.cgi?id=12822 .
  * debian/rules:
    - Don't mark /usr/lib/hal/scripts/hal-functions executable, this is
      nothing that can be executed.

 -- Michael Biebl <biebl@debian.org>  Mon, 22 Oct 2007 14:42:59 +0200

hal (0.5.10~git20071003-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Stop accessing freed memory in libhal_free_property_set().
    - Add missing uint64 type in fdi.dtd.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 03 Oct 2007 20:14:38 +0300

hal (0.5.10~git20070925-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Stop reading from the USB cable sysfs file, which just got removed.
      Map the values for cable_type from the mode sysfs file for now, until
      it gets completely deprecated. (Fixes: NB#70370)
    - Remove code to workaround the flaky kernel USB mode notifications,
      which now should be working fine.

 -- Guillem Jover <guillem.jover@nokia.com>  Tue, 25 Sep 2007 19:35:13 +0300

hal (0.5.10~git20070917-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Use hardcoded sysfs path for the ACPI code which was causing a build
      failure on i386 due to a call to the no longer existing function to
      generate the path at runtime (this patch seems to have been lost
      somewhen somehow).
    - Use changesets in addon-mmc and probe-net-bluetooth.

 -- Guillem Jover <guillem.jover@nokia.com>  Mon, 17 Sep 2007 17:39:45 +0300

hal (0.5.10~git20070912-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Add parameter checks inside libhal functions. (Fixes: NB#66367)
    - Use changesets in probe-omap.
  * Add linux-libc-dev as an alternative to linux-kernel-headers
    Build-Depends.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 12 Sep 2007 17:23:28 +0300

hal (0.5.10~git20070815-1osso2) unstable; urgency=low

  * Add libhal1-dbg and libhal-storage1-dbg packages. (Fixes: NB#67683)
  * Build with hardware floating point flags. (Fixes: NB#63245)

 -- Guillem Jover <guillem.jover@nokia.com>  Fri, 31 Aug 2007 21:19:51 +0300

hal (0.5.10~git20070815-1osso1) unstable; urgency=low

  * Use hardcoded sysfs path for the ACPI code, which was causing a build
    failure on i386 due to a call to the no longer existing function to
    generate the path at runtime.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 15 Aug 2007 15:14:47 +0300

hal (0.5.10~git20070814-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Add singleton addon support.
    - Several leaks fixed.
    - Workaround bogus USB cable notitications from kernel.

 -- Guillem Jover <guillem.jover@nokia.com>  Tue, 14 Aug 2007 19:04:46 +0300

hal (0.5.10~git20070613-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Fix xkb fdi.
    - Document video4linux namespaces in the spec.
    - Exclude OMAP backlight addon for now, as it's unused.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 13 Jun 2007 22:24:29 +0300

hal (0.5.10~git20070523-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Add initial xkb support.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 23 May 2007 21:24:11 +0300

hal (0.5.10~git20070514-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Add V4L capabilities support.
    - Add USB cable status support.
    - Fix ALS addon showing up on N800. (Fixes: NB#56560)

 -- Guillem Jover <guillem.jover@nokia.com>  Mon, 14 May 2007 19:06:12 +0300

hal (0.5.10~git20070502-1osso2) unstable; urgency=low

  * Remove useless and broken .la files. (Fixes: NB#56256)
  * Temporarily move udev from Depends to Pre-Depends, to workaround the
    fact that udev remove all files under /etc/udev/rules.d on postinst.

 -- Guillem Jover <guillem.jover@nokia.com>  Tue, 08 May 2007 20:10:51 +0300

hal (0.5.10~git20070502-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Scan the mmc bus, to trigger volume detection after the class scan.
      Thanks to Ismo Laitinen.
  * Fix harmless lintian *warning* about an actual shell script having the
    exec bits set, but missing a shebang. This was causing rejects at
    integration time, *sigh*.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 02 May 2007 17:03:42 +0300

hal (0.5.10~git20070430-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Add mtd character device support.
    - Add ALS addon. Thanks to Semi Malinen.
  * Install the udev rules file directly under /etc/udev/rules.d/ instead of
    symlinking from the parent directory. (Fixes: NB#53994)
  * Conditionally build the HAL spec if building binary independent packages,
    by including xmlto and libxml2-utils to the Build-Depends-Indep.

 -- Guillem Jover <guillem.jover@nokia.com>  Mon, 30 Apr 2007 14:41:39 +0300

hal (0.5.10~git20070418-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Removed 14_power_suspend_linux_pmu_fix.patch, merged upstream.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 18 Apr 2007 21:41:53 +0300

hal (0.5.10~git20070404-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Input layer patch with keyboard generalization merged upstream.
  * Disable Console-Kit.
  * Remove hal-device-manager package now removed from upstrea. As a side
    effect remove python support.
  * Remove creation of fdi/information dirs now that upstream generates them.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 04 Apr 2007 20:45:47 +0300

hal (0.5.9.1-6) unstable; urgency=low

  * debian/hal.init:
    + Don't start hal if sysfs is not mounted on /sys or a chrooted session
      is detected.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 25 Sep 2007 15:46:11 +0200

hal (0.5.9.1-5) unstable; urgency=low

  [ Sjoerd Simons ]
  * debian/patches/75-hal-serial-null.patch: Fix crash when linux.device_file
    of a serial device isn't known (Closes: #439919, #440468)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 23 Sep 2007 16:26:38 +0200

hal (0.5.9.1-4) unstable; urgency=low

  * debian/rules
    - Do not explicitly enable the dell-backlight support as libsmbios-dev is
      only available on amd64/i386. The ./configure script will automatically
      enable the feature for platforms where libsmbios-dev is installed.
      (Closes: #438459)

 -- Michael Biebl <biebl@debian.org>  Fri, 17 Aug 2007 09:58:08 +0200

hal (0.5.9.1-3) unstable; urgency=low

  * Check for inotify support in the init script and fail gracefully with a
    proper error message. (Closes: #426049, #434615)
  * Check if dbus is running in the init script and fail gracefully with a
    proper error message. (Closes: #426420, #427332)
  * debian/hal-device-manager.desktop
    - Remove invalid category "Application" from the Categories field.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Aug 2007 09:57:24 +0200

hal (0.5.9.1-2) unstable; urgency=low

  [ Sjoerd Simons ]
  * debian/control
    + Add libsmbios-dev build-depend on amd64 and i386 to build the dell
      backlight addon (Closes: #429871)
  * debian/patches/70-libhal-changeset-memleak.patch
    + Added. Fixes a memleak when freeing hal changesets. (Closes: #429823)

  [ Michael Biebl ]
  * debian/hal.preinst
    - Do not parse /var/lib/dpkg/status directly but use dpkg-query instead.

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Jun 2007 19:35:08 +0100

hal (0.5.9.1-1) unstable; urgency=low

  [ Sjoerd Simons ]
  * debian/hal.udev.rules
    + No longer try calling pumount or umount when devices are removed but not
      unmounted. Leave this to hal itself
  * debian/hal-unmount.sh
    + Removed. No longer needed

  [ Tim Dijkstra ]
  * Tell pm-utils if we know a machine doesn't need a quirk

  [ Michael Biebl ]
  * New upstream release.
  * Patches removed as they were merged upstream:
    - debian/patches/10_repeated_property_changed_signals.patch
    - debian/patches/11_fix_luks_mounting.patch
    - debian/patches/12_powerscripts_quirks.patch
    - debian/patches/16_ntfs_allowed_mount_options.patch
    - debian/patches/66-NULL-fstype-crash.patch
    - debian/patches/67-fix-probe-volume.patch
  * debian/control
    - Replace ${Source-Version} with ${binary:Version}.
    - Add build dependency on autotools-dev for up-to-date config.{guess,sub}
      files.
  * debian/hal.init
    - Don't fail to start if hal daemon is already running.

 -- Michael Biebl <biebl@debian.org>  Tue, 19 Jun 2007 21:23:03 +0100

hal (0.5.9-3) unstable; urgency=low

  * Install the hal start script as regular SysV init script
    (Closes: #407132, #397223)
    - Rename debian/hal.init.dbus to debian/hal.init.
    - Add proper LSB header to debian/hal.init and cleanup some cruft.
    - debian/rules
      + Don't install /etc/dbus-1/event.d/20hal anymore.
      + Set DEB_DH_INSTALLINIT_ARGS to start at 24 and stop at 16.
    - debian/hal.{preinst,postinst,prerm}
      + The shell code to start/stop the hal daemon is now automatically
        created by dh_installinit, so remove the manually written code.
        hal.prerm is empty and therefore removed completely.
    - debian/hal.preinst
      + Remove the old conffile /etc/dbus-1/event.d/20hal or rename it to
        *.dpkg-bak if it was modified locally.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 May 2007 12:33:08 +0200

hal (0.5.9-2) unstable; urgency=low

  [ Michael Biebl ]
  * Upload to unstable.

  * Changes merged from Ubuntu:
    - debian/patches/16_ntfs_allowed_mount_options.patch
      + Allow NTFS mount option 'utf8' (LP #78142).
    - debian/patches/62_dbus-python-0.80.patch
      + Correctly show HAL properties in hal-device-manager with dbus-python.
        (FD #9343; rejected upstream because h-d-m is going away).
    - debian/patches/65-keyboard-addon-repeated.patch
      + Do not ignore key repeat events in the keyboard addon. (FD #9767)
    - debian/patches/66-NULL-fstype-crash.patch
      + Do not crash on NULL volume.fstypes, and assing some fallback values
        to them. (FD #10429, LP #87800)
    - debian/patches/67-fix-probe-volume.patch
      + Fix scrambled labels. (FD #10362, LP #69914)
    - debian/hal.init.dbus
      + Use actual init script path in usage help.
    - debian/run-hald.sh
      + Put absolute paths in HALD_RUNNER_PATH so that callouts are found,
        too.

  * debian/control
    - Drop Build-Depends: linux-kernel-headers (>= 2.6.17).
      linux-libc-dev in unstable is recent enough.
    - Drop Build-Depends: libcap-dev. It's only needed for compiling some of
      the test programs. (Closes: #398933)
  * debian/hal.postrm
    - Reload dbus only on purge, i.e. when the conffile
      /etc/dbus-1/system.d/hal.conf is removed.
    - Remove the fdi-cache file on purge.
    - Check for deluser being available. If not, print a warning message and
      do not remove the haldaemon system account. (Closes: #416760)
  * debian/hal.{preinst,postinst}
    - Remove some old upgrade paths for the hal init script.

  [ Sjoerd Simons ]
  * debian/libhal1.shlibs, debian/libhal-storage1.shlibs: Bump shlibs

 -- Michael Biebl <biebl@debian.org>  Mon, 07 May 2007 15:41:16 +0200

hal (0.5.9-1) experimental; urgency=low

  * New upstream release.
    - Fixes detection of wireless devices with dscape stack. (Closes: #399507)
    - Adds support for fuse mounts. (Closes: #418570)
    - Adds support for new sysfs layout of kernels > 2.6.20. (Closes: #410868)
  * Patches removed as they were applied or fixed upstream:
    - debian/patches/03_macbookpro_configure.patch
    - debian/patches/04_cd_write.patch
    - debian/patches/05_one_formfactor_fallback.patch
    - debian/patches/06_smbios_return.patch
    - debian/patches/07_ppc_suspend.patch
    - debian/patches/08_openfirmware.patch
    - debian/patches/09_check_hashtable_initialisation.patch
    - debian/patches/10_callout_errors.patch
    - debian/patches/11_no_useless_runner_errors.patch
    - debian/patches/12_pegasus_pmu_crash_fix.patch
    - debian/patches/13_hal_callout_bashism.patch
    - debian/patches/15_partition_probing.patch
    - debian/patches/24_dbus_connection_close.patch
    - debian/patches/25_correctly_free_lists.patch
    - debian/patches/26_fix_hald_not_running_coredump.patch
    - debian/patches/27_hal_fix_dbus_error_is_set.patch
    - debian/patches/29_handle_non_hal_mounts.patch
    - debian/patches/30_cdrom_bogus_tocinfo.patch
  * Revised patches:
    - debian/patches/02_powerscripts.patch
    - debian/patches/55_nonpolkit-mount-policy.patch
    - debian/patches/14_power_suspend_linux_pmu_fix.patch
  * debian/patches/19_sonypi_support.patch
    - Removed. Instead of relying on the external spicctrl tool, /dev/sonypi
      is used directly now by the hal-system-sonypic addon.
  * Patches taken from upstream:
    - debian/patches/10_repeated_property_changed_signals.patch
      + Do not trigger the "device_property_changed" signal twice.
    - debian/patches/11_fix_luks_mounting.patch
      + Fix the lock checking for LUKS setup/teardown.
    - debian/patches/12_powerscripts_quirks.patch
      + Pass the correct quirks to pm-supend and pm-hibernate.
  * debian/control
    - Add Depends: hal-info (>= 20070402) to hal package.
    - Change the Build-Depends: docbook-utils to xmlto which is now used for
      building the API documentation.
  * debian/libhal(-storage)-dev.install
    - Do not install libtool *.la files anymore.
  * debian/rules
    - Remove cdbs tarball.mk rules file.
    - Cleanup obsolete rm commands from common-install-impl.
  * debian/hal.install
    - Install the binaries hal-disable-polling, hal-is-caller-locked-out and
      hal-lock.
  * debian/hal.dirs
    - Create the directories /var/cache/hald (fdi files cache) and
      /var/lib/hal (dev acl management list). 
  * debian/hald.8, debian/lshal.1
    - Removed. Shipped upstream. 
  * debian/hal.manpages
    - Install upstream manpages. (Closes: #277399)

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Apr 2007 09:31:47 +0200

hal (0.5.9~git20070330-1osso1) unstable; urgency=low

  * New upstream git snapshot.
  * Fix the mmc cover buttons.

 -- Guillem Jover <guillem.jover@nokia.com>  Fri, 30 Mar 2007 20:12:50 +0300

hal (0.5.9~git20070322-1osso1) unstable; urgency=low

  * New upstream git snapshot.
  * Add David Weinehall and Philippe De Swert to Uploaders.
  * Move mmc cover buttons to be childs of the mmc_host devices.
  * Tune keypad/keyboard detection.
  * Protect dbus-send invokations in maintainer scripts with '|| true'.
    Thanks to David Weinehall.

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 22 Mar 2007 20:09:20 +0200

hal (0.5.9~git20070314-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Removed 13_hal_callout_bashism.patch, merged upstream.
  * Added support for mmc_host.slot_name.
  * Create fdi/information dirs to be able to use hald w/o hal-info.
  * Follow upstream and switch to gtk-doc:
    - Change Build-Depends on doxygen to gtk-doc-tools.
    - Include gtk-doc generated files.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 14 Mar 2007 15:53:37 +0200

hal (0.5.9~git20070301-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Deprecated smbios keys.
    - Synced 13_hal_callout_bashism.patch.

 -- Guillem Jover <guillem.jover@nokia.com>  Thu,  1 Mar 2007 19:46:13 +0200

hal (0.5.9~git20070213-1osso1) unstable; urgency=low

  * New upstream git snapshot.
    - Removed 19_sonypi_support.patch.
  * New maintainer (OSSO specific), and move the old fields to Original-*.

  * Remove python, python-support and python-dbus Build-Depends, the
    debhelper invokation in debian/rules and force Depends on python for
    hal-device-manager.
  * Downgrade debhelper compatibility level 4 to adapt to our outdated tools.
  * Create a /var/cache/hald directory so that hald-generate-fdi-cache can
    generate the cache file.
  * Enable OMAP specific addons (backlight and gpio).
  * Remove unneeded Build-Depends on libsysfs-dev and libcap-dev.
  * Disable PCI support:
    - Remove pciutils Build-Depends.
    - Remove pciutils Depends from hal package.
    - Add support for 'nopci' in DEB_BUILD_OPTIONS, but we disable it by
      default anyway.
  * Disable power management backends appropriately for each arch.
  * Remove adduser Depends in hal, and replace in maintainer scripts
    {add,del}{user,group} with {user,group}{add,del}.
  * Use dbus-send to relead dbus rules to work around old osso packaging.
    in maintainer scripts.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 28 Feb 2007 17:00:16 +0200

hal (0.5.8.1-9) unstable; urgency=low

  * debian/no-cd-media-check.fdi
    - Re-added "HL-DT-ST DVD-RW GCA-4080N" product string

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 14 Mar 2007 21:31:28 +0100

hal (0.5.8.1-8) unstable; urgency=low

  [ Michael Biebl ]
  * debian/control:
    - Add an explicit build dependency on docbook-xml so we don't fail on
      buildds without network access.

  [ Sjoerd Simons ]
  * debian/hal-unmount.sh: Always run pumount/umount if a block device is
    removed, not only when it's mounted. This ensure that dm devices can be
    properly deconfigured by pumount.
  * debian/debian-storage-policy-ignore-fixed-crypto-drives.fdi
    - Added. Ignore non-removable devices with crypto volumes again 
      (Closes: #414417)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 14 Mar 2007 20:36:26 +0100

hal (0.5.8.1-7) unstable; urgency=low

  [ Sjoerd Simons ]
  * Acknowledge Steve Langasek's NMU. (Closes: #370186)
  * debian/patches/29_handle_non_hal_mounts.patch
    - Added. Handle volume removal for mounted volumed that weren't mounted by
      hal correctly.
  * debian/patches/30_cdrom_bogus_tocinfo.patch
    - Added. Some cdrom drives/discs report a wrong start of the session in the
      TOC, causing hal to not detect the filesystem. Work around this by
      rescanning at offset 0 for discs when filesystem detection fails.

  [ Michael Biebl ]
  * Add XS-Vcs-* fields to debian/control.
  * Drop debian-storage-policy-fixed-drives.fdi in favor of
    debian/patches/55_nonpolkit-mount-policy.patch.
    This fixes the problem that local devices are not shown in nautilus.
    (Closes: #394155, #395169, #409879)
  * debian/patches/02_powerscripts.patch
    - Add support for pm-utils and prefer it over other solutions. This is in
      anticipation of hal-0.5.9, where pm-utils will be the preferred backend.
  * Install HAL specification document. (Closes: #413813)
    - debian/control: Build-Depend on docbook-utils and libxml2-utils.
    - debian/rules: Pass --enable-docbook-docs to ./configure.
  * debian/watch
    - Fix regexp to not match non-hal releases, like hal-info.

 -- Sjoerd Simons <sjoerd@debian.org>  Wed,  7 Mar 2007 23:50:11 +0100

hal (0.5.8.1-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Provide /usr/share/doc/hal/examples/no-cd-media-check.fdi as an example
    for disabling CD ROM media checks, and document this in README.Debian, as
    a workaround for CD drives with broken firmware.  Closes: #370186.

 -- Steve Langasek <vorlon@debian.org>  Mon, 12 Feb 2007 16:42:29 -0800

hal (0.5.8.1-6) unstable; urgency=low

  * debian/patches/19_sonypi_support.patch
    - Added. Fixes the sonypi brightness setting method 
      (Patch from Mike Hommey) (Closes: #391528)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 15 Jan 2007 22:53:09 +0100

hal (0.5.8.1-5) unstable; urgency=high

  [ Michael Biebl ]
  * debian/hal-doc.install, debian/hal-doc.links
    - Install API documentation into /usr/share/doc/hal-doc/html and create a
      link back to /usr/share/gtk-doc/html/hal so devhelp can find it.
      (Closes: #398803)
  * debian/control
    - Add a Suggests on devhelp for the hal-doc package which allows to
      access the API documentation more easily.

  [ Sebastian Dröge ]
  * debian/control:
    + Updated to use my debian.org mail address

  [ Sjoerd Simons ]
  * debian/patches/28_runner_64bit_values.patch
    - Added. Ensure 64 bit values are correctly aligned before passing them to
    dbus (Closes: #404937)
  * Urgency high, fixes an RC bug

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 15 Jan 2007 14:28:45 +0100

hal (0.5.8.1-4) unstable; urgency=low

  [ Michael Biebl ]
  * Improve short description of the hal-doc package. (Closes: #387374)

  [ Sebastian Dröge ]
  * Patches from upstream GIT:
    + debian/patches/24_dbus_connection_close.patch:
      - Don't call dbus_connection_close() in lshal and hal-device. This is
        invalid usage of DBus API.
        GIT changeset c85e02d58d6503b494bb4c8584a7c44ac6923208
    + debian/patches/25_correctly_free_lists.patch:
      - Correctly free lists to prevent accessing free'd memory.
        GIT changeset a56a15b90177734c70a8b03d961a7bcabdea2af8
    + debian/patches/26_fix_hald_not_running_coredump.patch:
      - Don't coredump utilities when hald is not running but print a usefull
        error message. GIT changeset c2053bf825cd9d81949d63ad83790a68310bb808

  [ Sjoerd Simons ]
  * debian/patches/02_powerscripts.patch
    + Prefer hibernate over uswsusp. (Closes: #397302)
  * debian/patches/27_hal_fix_dbus_error_is_set.patch
    + Added. Ensure libhal never calls dbus_error_is_set(NULL) as that's not
    allowed in the D-Bus API

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 11 Nov 2006 14:16:52 +0100

hal (0.5.8.1-3) unstable; urgency=low

  * debian/control
    - Add a Recommends on eject to the hal package.
    - Add myself to Uploaders.
  * 15_partition_probing.patch
    - Added. Fixes problems with extended partition tables.
      (Closes: #393245, #392978)
  * Update to new python policy using python-support
    - Tightened Build-Depends on python-support (>= 0.5.3).
    - Drop X[SB]-P-V fields from debian/control, add a debian/pyversions file
      instead specifying the supported python versions.
    - Drop debian/pycompat.
    - Drop dh_python call from debian/rules, call dh_pysupport with the
      correct path to the modules directory. 
    - Call dh_pysupport in binary-install instead of binary-predeb.

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Oct 2006 13:33:55 +0200

hal (0.5.8.1-2) unstable; urgency=low

  * 12_pegasus_pmu_crash_fix.patch
    - Added. Check if power_management.type was set before doing strcmp and
      detect Pegasos machines as having the desktop formfactor
      (Closes: #391124)
  * /debian/patches/13_hal_callout_bashism.patch
    - Added. Fix some bashisms in the hal callout scripts 
  * debian/patches/02_powerscripts.patch
    - Updated. Use s2ram instead of s2both to let uswsusp suspend to ram
    (Closes: #388558)
  * debian/patches/14_power_suspend_linux_pmu_fix.patch 
    - Added. Use the correct hal property to check the powermanagement type.
      (Closes: #393203)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 18 Oct 2006 23:45:26 +0200

hal (0.5.8.1-1) unstable; urgency=low

  * New upstream release
  u debian/patches/01_hal_debian_dbuspolicy.patch
    - Updated.
  * debian/patches/05_pmu_nohibernate.patch
    - Removed. Recent kernels don't crash my machine anymore
  * debian/patches/04_hald_scripts.patch
    debian/patches/06_more_buttons.patch
    debian/patches/08_probe_serial.patch
    debian/patches/09_sony_brightness.patch
    debian/patches/12_refresh_acpi_states.patch
    debian/patches/14_probe_volume_invalidlabel.patch
    debian/patches/16_dont_stat_autofs.patch
    debian/patches/17_fix_dbus_090_build.patch
    debian/patches/18_hald_runner_fd_leak.patch
    debian/patches/22_recognize_partitions.patch
    - Removed. All fixed upstream
  * debian/patches/07_suspend2.patch
    debian/patches/20_uswsusp.patch
    debian/patches/21_acpi_support.patch
    - Merged into 02_powerscripts.patch
  * debian/patches/hdm-python2.4.patch
    - Removed. Not needed anymore since the default python is 2.4 now
  * debian/patches/19_sonypi_support.patch
    - Updated. Upstream supports spicctrl but assumes it's in a different path
  * debian/patches/15_mount_scripts_pmount.patch
    - Removed. Replaced by the new version of the mount scripts
  * debian/rules: Disable PolicyKit
  * debian/control: Add build-depend on libvolume-id-dev
  * debian/patches/23_addon_acpi.patch
    - Updated.
  * debian/control: Add linux-kernel-headers (>= 2.6.17) to the build-depends
    for the definition of ARPHRD_IEEE80211_RADIOTAP
  * debian/hal.install: Scripts are no longer in /usr/share/hal but in
    /usr/lib/hal
  * debian/patches/03_macbookpro_configure.patch
    - Added. Change configure so the macbook pro utils can actually be
    disabled.
  * debian/rules: Disable the macbook pro backlight addon.
  * debian/patches/04_cd_write.patch
    - Added. don't crash on cd drives without write capabilities (From
      upstream git)
  * debian/patches/05_one_formfactor_fallback.patch
    - Added. Use one fallback to an unknown formfactor instead of three. Fixes
    bugs caused by falling back when not needed.
  * debian/patches/06_smbios_return.patch
    - Added. Only let the prober return success if it actually found some
    usefull info.
  * debian/patches/07_ppc_suspend.patch
    - Added. pmu systems can suspend by using hal's own tool. So actually flag
    it as being able to suspend even though mem isn't in /sys/power/state
  * debian/patches/08_openfirmware.patch
    - Added. Extra model and machine compatibility from openfirmware and
    use that info to detect the formfactor.
  * debian/debian-storage-policy-fixed-drives.fdi
    - Added. Add policy to hal so it refuses to mount and unmount fixed
    drives.
  * debian/patches/09_check_hashtable_initialisation.patch
    - Added. Check if the udi to method queue hashtable is initialized before
    using it. (From upstream)
  * debian/patches/10_callout_errors.patch
    - Added. Use dbus_error_free instead of LIBHAL_FREE_DBUS_ERROR. Ensures
    errors correctly reach hald-runner.
  * debian/patches/11_no_useless_runner_errors.patch
    - Added. Only let hald-runner output warnings if there was actually an
    error.

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  2 Oct 2006 18:55:05 +0200

hal (0.5.7.1-2) unstable; urgency=low

  * debian/patches/22_recognize_partitions.patch
    - Added. More robust recognition that a block device is a partition. Fixes
    detecting scsi cdrom drives as partitions (From upstream git)
    (Closes: #383792)
  * debian/patches/23_addon_acpi.patch
    - Added. Don't use the kernel acpi event interface if acpid is installed.
    (Closes: #380520, #352512)
  * debian/README.Debian: Update documentations about the configuration of the
    callouts. Also mention how hal's acpi addon interacts with acpid.
  * debian/hal.dirs: Remove /var/run/hal from hal.dirs. Let the init scripts
    takes care of its creation.  (Closes: #385270)
  * debian/hal.postinst: Don't create a homedir for hal.
  * debian/hal.preinst: Remove the old hal user. As deluser --system only
    removes system users this should be safe.
  * debian/hal.postrm: Don't delgroup the daemon user on purge, deluser
    already takes care of that.
  * debian/hal.postrm: Remove the /var/run/hal dir on purge
  * debian/patches/21_acpi_support.patch:
    - Updated. Use the force argument to the sleep and hibernate call
    (Closes: #384120)
  * debian/patches/debian/patches/19_sonypi_support.patch:
    - Updated. The spicctrl tool is installed in a different location on
    debian then what upstream assumes. 

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  4 Sep 2006 23:22:49 +0200


hal (0.5.7.1-1) unstable; urgency=low

  [ Sjoerd Simons ]
  * New upstream release
  * debian/hal.postinst,debian/hal.postrm,debian/rules: Rename the hal daemon
    user to haldaemon (was hal)
  * debian/hal.postinst: Created the plugdev system group if it doesn't exist
  * debian/hal.links: Change the udev rules.d link from 050_hal-plugdev.rules
    to z99_hal.rules to ensure hal gets its data after all the udev magic.
  * debian/patches/09_sony_brightness.patch:
    - Apply trivial upstream patch to fix LCD brightness setting on Sony
      laptops.
    - From the ubuntu hal package which took it from upstream, thanks to Paolo
      Borelli
  * debian/patches/12_refresh_acpi_states.patch:
    - Added. refresh ACPI events after suspend/hibernate
    - From the ubuntu hal package, patch created by Paul Sladen based on
      upstream CVS.
  * debian/patches/14_probe_volume_invalidlabel.patch
    - Added. Don't try to fix device labels with invalid UTF-8 characters if
      more than 20% of the characters is invalid.  This avoids totally
      unintelligible labels while still preserving only mildly damaged ones.
    - From the ubuntu hal package, patch created by Martin Pitt
  * debian/patches/15_mount_scripts_pmount.patch:
    - Change mount/umount scripts to call pmount-hal/pumount as the
      destination user instead of mount/umount as root. This way, we do not
      have to rely on hal properties for sanity checking, which are unreliable
      in hal's current trust model.
    - Change eject script to call eject as the destination user instead of
      root.
    - This change should be completely transparent to the outside world, so
      that KDE and gnome-mount will just work. (Closes: #377689)
    - From the ubuntu hal package, patch created by Martin Pitt.
  * debian/patches/16_dont_stat_autofs.patch:
    - Added. Don't stat autofs filesystems as that will remount.
      (Closes: #361785) (From upstream git)
  * debian/patches/17_fix_dbus_090_build.patch:
    - Added. Fix build with dbus >= 0.90 (From upstream git)
  * debian/patches/18_hald_runner_fd_leak.patch
    - Added. Fix fd leak in hald-runner. Patch by Mike Hommey (Closes: #375143)
  * debian/patches/debian/patches/19_sonypi_support.patch:
    - Added. Support sonypi using laptops (Closes: #375144) (From upstream git)
  * debian/patches/07_suspend2.patch:
    - Updated. Don't try to use suspend2 to suspend a pmu machine, which can
    crash the machine. (Closes: #366008)
  * debian/patches/20_uswsusp.patch:
    - Added. Use uswsusp for suspend and hibernation if available. Patch by
    Tim Dijkstra. (Closes: #382183)
  * debian/patches/21_acpi_support.patch:
    - Added. Use acpi-support for suspend and hibernation if available.
    (Closes: #381708)

  [ Sebastian Dröge  ]
  * debian/pycompat,
    debian/control,
    debian/rules:
    + update to the new Python Policy
  * debian/control:
    + Bump Standards-Version to 3.7.2
    + Add myself to Uploaders

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 15 Aug 2006 15:45:35 +0200

hal (0.5.7-2) unstable; urgency=low

  * debian/hal.udev.rules
    + Fix broken udev syntax (Closes: #364324)
  * Bump compat version to 5
  * Killing hal with brute force in prerm shouldn't be needed anymore
  * Don't install hal's default udev rules file, we ship our own
    (Closes: 359749)
  * debian/patches/07_suspend2.patch
    + Added. Possibility to use hibernate to suspend-to-ram
  * debian/patches/08_probe_serial.patch
   + Only probe legacy serial ports. Fixes issue with usb serial ports from
   wince pda's that can't handle the probing (Closes: #352934)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  1 May 2006 22:42:50 +0200

hal (0.5.7-1) unstable; urgency=low

  * New upstream release
  * debian/patches/02_hal_addon_pmu.patch
    + Removed. Fixed upstream
  * debian/patches/03_hald_runnerpath.patch
    + Removed. Fixed upstream
  * debian/patches/05_pmu_nohibernate.patch
    + Updated. Fix crash when power_management.type is not set (Thanks Martin
      Pitt)
  * debian/patches/06_more_buttons.patch
    + Added. Update button signal names to the new convention and also 
    recognize mute, volume up/down buttons, switchvideo mode button and
    keyboard illumination toggle/down/up buttons.
  * Update debian/README.Debian 

 -- Sjoerd Simons <sjoerd@debian.org>  Thu,  2 Mar 2006 18:56:03 +0100

hal (0.5.6+cvs20060219-1) experimental; urgency=low

  * CVS snapshot
  * debian/patches/01_hal_privsep.patch
    + Removed. Fixed upstream
  * debian/patches/02_hal_addon_pmu.patch
    + Updated
  * debian/patches/03_storage_sigio.patch
    + Removed. Fixed upstream
  * debian/patches/04_hald-no-patch.patch
    + Removed. Fixed upstream
  * debian/patches/05_hald_clear_udev_buffer.patch
    + Removed. Fixed upstream
  * Sync with Ubuntu
    + Remove unneeded build-depends (libsysfs-dev and libcap-dev)
    + force-reload dbus instead of reload
    + Remove obsolete fdi example conffile
    + Add small utility script to run hald from the debian dir.
  * debian/patches/storage-policy-debian.patch
    + Removed. Obsolete
  * debian/patches/03_hald_runnerpath.patch
    + Added. Give programs run by the runner a save PATH
  * debian/patches/04_hald_scripts.patch
    + Added. Fix various bugs in the hal scripts
  * Add the powerdev group in postinst
  * debian/patches/01_hal_debian_dbuspolicy.patch 
    + Added. Change the hal dbus policy to allow user part of the powerdev
    group to use the org.freedesktop.Hal.Device.SystemPowerManagement and
    org.freedesktop.Hal.Device.LaptopPanel interfaces.

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 20 Feb 2006 23:24:34 +0100

hal (0.5.6-4) unstable; urgency=high

  * debian/patches/05_hald_clear_udev_buffer.patch 
    + Added. Clear the buffer where udev events are received before using
    (from hal CVS)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 13 Feb 2006 18:59:12 +0100

hal (0.5.6-3) unstable; urgency=high

  * debian/patches/01_hal_privsep.patch
    + Updated. Fix deadlock when using ATAPI Zip-drives (Closes: #351296)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 12 Feb 2006 17:52:58 +0100

hal (0.5.6-2) unstable; urgency=low

  * debian/patches/01_hal_privsep.patch
    + Updated to current CVS version
  * udev communicated events to hal via a socket now, which as a side-effect
    fixes incompatibility with udev 0.83 (Closes: #350639, #350762)
  * Let hal look in the right location for the pci.ids and usb.ids files
    (Closes: #341824)
  * Because the addons run with root privs. now, harddisk properties are
    available (Closes: #290653)
  * debian/patches/03_storage_sigio.patch
    + Added. Switch EjectButton detection to SG_IO interface. Solves some
    problems with scsi cdrom drives (from hal CVS)
  * debian/patches/04_hald-no-patch.patch 
    + Added. Also start correctly when PATH is not set (Closes: #345391)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed,  1 Feb 2006 23:59:58 +0100

hal (0.5.6-1) experimental; urgency=low

  * New upstream release
  * debian/patches/hal-dbus_max_match_rules_per_connection.patch
    + Removed. Default max_match_rules in dbus is high enough these days
  * Don't add the hal to group floppy and cdrom
  * Stop using the hotplug helper, instead let udev pass data via a socket to
    hal
  * debian/patches/01_hal_privsep.patch
    + Added. Let the addons and probes be called by a little helper running as
    root while the main hal database runs as an unpriviledged user.
  * No longer chown removable device to group hal
  * debian/patches/02_hal_addon_pmu.patch 
    + Added. Use a direct connection to hal, because it might not be on the
    system bus yet. Open /dev/adb non-block so read blocks instead of
    getting EAGAIN and failing.

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 19 Jan 2006 23:12:56 +0100

hal (0.5.5.1-5) unstable; urgency=low

  * Tighten depends on dbus and python2.4-dbus a little bit more
  * Fix a bashim in the postinst script (Closes: 347326) 

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 12 Jan 2006 00:38:47 +0100

hal (0.5.5.1-4) unstable; urgency=low

  * Upload to unstable
  * Add python to the build-depends for dh_python

 -- Sjoerd Simons <sjoerd@debian.org>  Thu,  5 Jan 2006 22:36:33 +0100

hal (0.5.5.1-3) experimental; urgency=low

  * Let libhal-dev and libhal-storage-dev depend on libdbus-1-dev (>= 0.60)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 16 Dec 2005 15:37:21 +0100

hal (0.5.5.1-2) experimental; urgency=low

  * Use log_daemon_msg instead of log_begin_msg in the init script
    (Closes: #339728)
  * Build against dbus 0.60 

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 15 Dec 2005 12:02:22 +0100

hal (0.5.5.1-1) experimental; urgency=low

  * New upstream release
  * Sync with ubuntu (Thanks Martin Pitt)
    + Make libhal-storage-dev depend libhal-dev
    + Fix rm_conffile in hal.preinst
    + Install hal-find-by-capability and hal-find-by-property
    + Translation updates for hal-device-manager.desktop
  * Never restart dbus in postinst or postrm . Only reload it's config.
  * Depend on libusb-dev to build hald-addon-usb-csr (Closes: #335530)
  * Build hal-device-manager again.
  * debian/patches/hdm-python2.4.patch
    + Force hal-device-manager to use python2.4
  * Install /usr/bin/hal-device 

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 15 Nov 2005 14:18:58 +0100

hal (0.5.4-2) experimental; urgency=low

  * Hal doesn't include hal.dev anymore, so don't try to execute it in the
    udev rules (Closes: #326957)
  * Package doesn't ship fstab-sync, so also don't ship it's manpage. 

 -- Sjoerd Simons <sjoerd@debian.org>  Thu,  8 Sep 2005 10:36:03 +0200

hal (0.5.4-1) experimental; urgency=low

  * New upstream release
  * use udev RUN rules instead of the hotplug.d and dev.d script dirs
  * Install hal-umount.sh in /usr/lib/hal instead of usr/lib/hal/hal-umount.sh
  * debian/patches/property-null-values.patch
    + Removed. Fixed upstream
  * Sync with ubuntu
    + Switched the init script to lsb-base
    + hal.init.dbus: If hald does not want to die in do_stop, use the "yes,
      we really mean it" approach to ensure clean restarts.
    + debian/patches/storage-policy-debian.patch
      - Dropped noatime/sync handling hunk since upstream now does the right
        thing.
      - Enable storage.requires_eject on USB storage devices to always
        eject them (which causes them to properly power off).
    + Only (re)start dbus when hal isn't already running.
    + Update the manpage

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 27 Aug 2005 22:31:21 +0200

hal (0.5.2-1) experimental; urgency=low

  * New upstream release
  * Don't build hal-device-manager for now as it needs python2.4 gnome
    packages
  * Based on Ubuntu's hal 0.5.2 by Martin Pitt. 
  * Removed no longer relevant patches:
    + debian/patches/harddisk-volumes.patch
    + debian/patches/ids-search.patch
    + debian/patches/hal-fdi.patch
    + debian/patches/hotplug_timeout.patch
    + debian/patches/patches/no_sysdevice.patch
    + debian/paches/hal-hotplug-map.patch
  * debian/ipod-music-player.fdi
    + Fixed upstream
  * debian/hal-device-manager.desktop
    + Updated with new translations from the Ubuntu package

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 21 Jun 2005 15:28:18 +0200

hal (0.4.8-2) unstable; urgency=low

  * debian/ipod-music-player.fdi 
    + Fix xml errors (Closes: #312817)
  * debian/patches/storage-policy-debian.patch
    + Enable the utf8 mount option for cdrom drives and iso9660 and udf
      filesystems. (Closes: #312818)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 10 Jun 2005 15:50:45 +0200

hal (0.4.8-1) unstable; urgency=low

  * New upstream release
  * debian/patches/storage-policy-zip.patch
    + Removed. Merged upstream
  * debian/patches/ids-search.patch
    + Updated
  * debian/patches/hotplug_timeout.patch
    + Updated to work with dbs-edit-patch
  * debian/hal.udev.device-removable.sh
    + Fixed problem with detection of firewire disks (Closes: #309822)
  * debian/patches/storage-policy-debian.patch
    Don't set the sync mount option by default on smaller drives (flash
    drives). Especially on newer kernels this can wear out media too fast. 
  * debian/preferences.fdi 
    Warn for media wear in the example fdi file when enabling the sync option.
 

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 23 May 2005 19:49:56 +0200

hal (0.4.7-4) unstable; urgency=low

  * Add fdi file to recognize Apple Ipods
  * Improved udev script for removable drives detection (Thanks to Marco d'Itri)
  * Move hal-plugdev.rules link after the setting of permissions, but before
    naming of devices files. Enables the hal/gnome-volume-manager combination to
    work with systems using devfs like naming (Closes: #302134)
  * Added an example to set the group id and umask of a mounted volume to
    preferences.fdi. (Closes: #303720)
  * Have the dbus init script wait for hal to actually shutdown, when stopping.

 -- Sjoerd Simons <sjoerd@debian.org>  Sat,  7 May 2005 00:17:11 +0200

hal (0.4.7-3) unstable; urgency=low

  * Remove 50-fstab-sync.hal symlink from the package, it's not supposed to be
    used in hal's default config. (Closes: #298562)
  * Added debian/patches/hotplug_timeout.patch
    + Don't run the hotplug timeout handler while processing hotplug events.
      (Closes: #292256)
  * Fixes from the ubuntu package:
    + Added debian/patches/hal-dbus_max_match_rules_per_connection.diff
      - Allow more matching rules per connection. Fixes problems with
        hal-device-manager on systems with lots of devices.
    + Added debian/patches/harddisk-volumes.patch
      - fdi/90defaultpolicy/storage-policy.fdi: If a volume has an empty
        fsusage, set it to "filesystem" to work around the fact that the
        non-root hald cannot read harddisk partitions.
      - libhal-storage/libhal-storage.c: Do not declare a volume as invisible
        if hal does not know the file system (hald cannot read harddisk
        partitions).

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 18 Mar 2005 19:25:04 +0100

hal (0.4.7-2) unstable; urgency=low

  * debian/patches/storage-policy-debian.patch
    + Updated. Enable the quiet option for vfat volumes. (Closes: #292661)
  * debian/hal.dbus.init
    + Show a warning message when trying to start with an unsupported kernel.
     (Closes: #292644)
  * debian/patches/no_sysdevice.path
    + Don't die when a device doesn't have a sysfs path when finalizing the
      class device. (Closes: #293630)
  * debian/patches/storage-policy-zip.patch
    + Added. Correctly name partitioned zip mountpoints. Patch from Daniel 
      Serpell. (Closes: #294033)

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 15 Feb 2005 11:51:34 +0100

hal (0.4.7-1) unstable; urgency=medium

  * New upstream release
    + hal-device-manager handles ieee1394 now (Closes: #290931)
  * Added watch file

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 25 Jan 2005 15:25:51 +0100

hal (0.4.6-1) unstable; urgency=low

  * New upstream release
    + Fixes various problems with vfat label detection (Closes: #271997)
  * Enable building of fstab-sync as some people seem to like it
    (Closes: #290780)
  * debian/patches/storage-policy-debian.patch.
    + Updated. Copy block.policy.desired_mount_point from block.storage to
    volume.policy.desired_mount_point if the blockdevice has no partitions
    (Closes: #290963)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 21 Jan 2005 17:27:34 +0100

hal (0.4.5-1) unstable; urgency=low

  * New upstream release
  * Removed patches that were fixed/merged upstream
    + debian/patches/check-ide-floppy-for-zip.patch
    + debian/patches/volume_id-fat.patch

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 13 Jan 2005 16:46:12 +0100

hal (0.4.4-2) unstable; urgency=low

  * debian/patches/volume_id-fat.patch
    + Added. Fixes label reading on large FAT volumes. Patch from Kay Sievers.
      (Closes: #271997)
  * debian/patches/check-ide-floppy-for-zip.patch
    + Added. Support IDE Zip drives that appear as IDE floppies. Patch from
      David Zeuthen.

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 10 Jan 2005 09:28:55 +0100

hal (0.4.4-1) unstable; urgency=low

  * New upstream release
  * Removed patched that were merged/fixed upstream:
    + debian/patches/netdev-recovery.patch

 -- Sjoerd Simons <sjoerd@debian.org>  Fri,  7 Jan 2005 11:29:56 +0100

hal (0.4.3-1) unstable; urgency=low

  * New upstream release
  * Start using tarball.mk from cdbs
  * Removed patched that were merged/fixed upstream:
    + debian/patches/cdrom-fdleak.patch
    + debian/patches/cdrom-media-check.patch
    + debian/patches/fix-ide-fdi.patch
    + debian/patches/fstab-sync-crash.patch
    + debian/patches/poll-only-cdroms.patch
    + debian/patches/special_mtab_chars.patch
  * debian/patches/netdev-recovery.patch
    + Added. Fixes a crash in the netdev recovery code (Closes: #288089)
  * debian/hal.udev.rules
    + The only ide drives hal polls are cdroms, so it's unnecessary to set the
      group of other removable ide drives to hal. (Closes: #288301)
  * Stop shipping sony_dsc.fdi, it just causes problems.
  * debian/patches/ids-search.patch
    + Updated
  * debian/patches/z_update_autofoo.patch
    + Removed, not necessary anymore because of the ids-search.patch update 

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  4 Jan 2005 18:26:44 +0100

hal (0.4.2-6) unstable; urgency=low

  * debian/patches/cdrom-fdleak.patch
    + Added. Don't leak a filedescriptor to the cdrom device when the
    filesystem on a data cd isn't recognized. Patch from Peter Österlund
    (Closes: #287779)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 30 Dec 2004 15:29:04 +0100

hal (0.4.2-5) unstable; urgency=high

  * Create /var/run/hal dir on start if it's not there (Closes: #287258)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 26 Dec 2004 15:27:45 +0100

hal (0.4.2-4) unstable; urgency=high

  * Only add hal to group cdrom and floppy when creating the user. This way it
    won't get added on upgrade if the admin removed it. (Closes: #286790)
  * debian/hal-unmount.dev
    + Also check /etc/mtab to see if the device is mounted. (Closes: #286579)
  * Urgency high. Fixes an RC bug.

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 19 Dec 2004 20:42:37 +0100

hal (0.4.2-3) unstable; urgency=low

  * debian/patches/special_mtab_chars.patch
    + Added. In /etc/mtab and /proc/mounts some special chars (like space) are
    encoded in octal from. Decode these into normal chars again. Fixes
    problems with spaces in mountpoints (Closes: #284322)
  * debian/hal-unmount.dev:
    + Sanity-check $DEVNAME to make sure it begins with a slash, so we don't 
      get bitten by DEVNAME=-a or DEVNAME="". Thanks to Scott James Remnant

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 19 Dec 2004 18:32:47 +0100

hal (0.4.2-2) unstable; urgency=medium

  * debian/patches/fstab-sync-crash.patch
    + Added. Don't crash on cleaning fstab in certain 
      circumstances (Closes: #284721)
  * debian/patches/ids-search.patch
    + Added. Search for pci.ids and usb.ids runtime. Fixes problems when the
      location changes or if it is different then on the machine hal was build
      on.
  * debian/patches/fix-ide-fdi.patch
    + Added. Correct syntax error in the fdi file
  * debian/patches/cdrom-media-check.patch
    + Added. Some CD-ROMs report that they contain a CD even if the tray is 
      open; probe CDROM_MEDIA_CHANGED twice to check whether there is indeed a 
      CD inside.Thanks to Michael Hofmann for discovering this and 
      finding the fix.
  * debian/patches/poll-only-cdroms.patch:
    + Added. Instead of trying to work around broken ide pcmcia device just
      poll cdrom on the ide bus. Patch from David Zeuthen (Closes: #284164)
  * debian/patches/z_update_autofoo.patch:
    + Added. Update configure, this is needed by ids-search.patch.

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 08 Dec 2004 16:18:14 +0100

hal (0.4.2-1) unstable; urgency=low

  * New upstream release
  * Remove patches that have been merged upstream:
    + debian/patches/device-manager-glade.patch
    + debian/patches/device-manager.patch

 -- Sjoerd Simons <sjoerd@debian.org>  Thu,  2 Dec 2004 13:13:50 +0100

hal (0.4.1-2) unstable; urgency=low

  * Rename the hal dbus start script from hal to 20hal. Makes it simpler to 
    order startup of dbus services.
  * Let hald run as non-root by default
  * Use a dev.d script for lazy device umount. So hald doesn't need too.
    (Script from the ubuntu package)
  * Install udev configuration to make removable devices owned by group hal
    (Adapted from the ubuntu package)
  * Call udevsend for all block devices in the postinst. To ensure 
    the permissions are set right for already available devices.
  * debian/README. Updated to reflect we run as user hal by default now.
  * debian/patches/storage-policy-debian.patch.
    + Updated. turn off sync and noatime for drivers bigger then 2GB. 
  * /etc/hal/fdi/preferences.fdi
    + Added. Some examples of system settings that can be tweaked via hal's
      database.
  * debian/patches/storage-policy-debian.patch.
    + Updated. Disable the managed keyword again, so we don't have to depend
    on a mount version that's already frozen.

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  8 Nov 2004 23:59:23 +0100

hal (0.4.1-1) unstable; urgency=low

  * New upstream release
    + Fixes fstab-sync crash when called without options (Closes: #278468)
    + Detects highpoint ata raid configurations (Closes: #277534)
  * debian/hald.8: Fixed typos
  * debian/rules: Correctly generate the python dependencies for
                  hal-device-manager
  * debian/hal.postinst: Don't fail when the dbus-1 init script isn't 
                         available yet
  * Removed patches (adopted upstream):
    + debian/patches/fstab-sync.patch 
    + debian/patches/nonblock.patch 
    + debian/patches/storage-policy-uudi.patch
  * debian/patches/storage-policy-debian.patch
    Updated. Usage comment=fstabsync as option for fstab-sync mount lines
  * debian/patches/hal-fdi.patch
    Added. Look for user fdi files in /etc/hal/fdi
  * debian/patches/device-manager.patch
    Added. Fill the Device type and Capabilities field (Patch from Bryan Clark)
  * debian/patches/device-manager-glade.patch
    Added. Improve the appearance of the Device tab in h-d-m 
  * debian/patches/hal-hotplug-map.patch
    Added. Check if the usb device isn't actually an usb mass storage device
    before setting libgphoto2 support properties. Fixes problems with 
    olympus cameras, because PtP and UMS versions have the same usb id's
    (Closes: #279395)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 06 Nov 2004 19:59:37 +0100

hal (0.4.0-1) experimental; urgency=low

  * New upstream release
  * Marin Pitt:
    + New packages libhal-storage0 and libhal-storage-dev for new hal-storage
      library
    + Removed patches (adopted upstrem):
      - add_device_nullarg.patch
      - fix_first_hotplug.diff
      - hal-cdspeed.patch
      - nofail_nocaps.patch
      - pci_pre_process_check_null.diff
    + debian/lshal.1: properly quoted dashes
  
   * Sjoerd Simons:
     + Removed patches (adopted upstream):
       - pciid-fdleak.patch
       - usbdb-fdleak.patch
       - fs_probing.patch
       - haldb-require-privs.patch
       - libgphoto2-usermap.patch
       - netlink_spoofing.patch
     + No longer shipping the fstab-update script
     + debian/hal.preinst: Stop hal in preinst instead of dbus
     + debian/hal.preinst: Add missing debhelper token
     + debian/hal.preinst: Remove fstab-update.h transition.
     + Added /etc/default/hal to easily configure running hal as non-root
     + Added debian/patches/fstab-sync.patch (from CVS HEAD)
       - Use the name of the special device file instead of 'foo' when writing
         to the syslog.
       - clean wasn't being called on hald startup because of missing defines
         due to the removal of fstab-sync options
     + Added debian/patches/nonblock.patch (from CVS HEAD)
       - Fixes wrong handling of O_NONBLOCK by hal when probing the fileystem
         type (by removing it)
     + Added debian/patches//storage-policy-uudi.patch (from CVS HEAD)
       - Never use filesystem UUDI for mount points in the default policy
     + Ship fstab-sync.8 manpage
     + Added debian/patches/storage-policy-debian.patch 
       - Change to storage policy to match the behaviour of previous hal
         debian packages.

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 18 Oct 2004 16:30:01 +0200

hal (0.2.98-5) unstable; urgency=high

  * Restart dbus on postinst instead of starting, fixes problems on upgrade
    and install (Closes: #277050) (Closes: #277035)
  * debian/patches/netlink_spoofing.patch
    + Added. Check PID of netlink packets to prevent spoofing from user
    processes (from CVS HEAD)
  * High priority because it fixes upgrade and install problems.

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 17 Oct 2004 20:19:48 +0200

hal (0.2.98-4) unstable; urgency=medium

  * Also restart dbus when hal is freshly installed.

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 17 Oct 2004 19:45:26 +0200

hal (0.2.98-3) unstable; urgency=medium

  * debian/patches/haldb-require-privs.patch
    + Added. Only allow root and the hal's current user to change things in
    the hal's database (from CVS HEAD with some enhancements)
  * Doesn't crash when SIOCGMIIREG fails (Closes: #276297)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 10 Oct 2004 19:57:52 +0200

hal (0.2.98-2) unstable; urgency=medium

  * Goodies from the Ubuntu hal packages (thanks to Martin Pitt)
    + Properly quote dashes in the manpages
    + German translation of hal-device-manager.desktop
  * debian/patches/add_device_nullarg.patch
    + Added.  check whether given_sysfs_path is NULL and
    immediately return in this case; previously, this parameter was copied 
    and compared without checking. (from ubuntu package)
  * debian/patches/fix_first_hotplug.patch
    + Added. Fixes race conditions with regard to the first hotplug event
    (from CVS HEAD)
  * debian/patches/fs_probing.patch
    + Added. Fixes some file probing issues (from CVS HEAD)
  * debian/patches/nofail_nocaps.patch
    + Added. Don't fail on a kernel without capablities if privileges are
    dropped (from Ubuntu package)
  * debian/patches/pci_pre_process_check_null.patch
    + Added. Added extra NULL pointing checking (from Ubuntu package)
  * debian/patches/pciid-fdleak.patch
    + Added. Close file descriptors after reading the pci id database
  * debian/patches/usbdb-fdleak.patch
    + Added. Close file descriptors after reading the usb id database
  * Make fstab-update.hal POSIX compliant (patch from Martin Waitz) 
    (Closes: #274937)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 10 Oct 2004 17:31:40 +0200

hal (0.2.98-1) unstable; urgency=high

  * New upstream release
  * Fixes endless loop in FAT32 label reading code (Closes: #273001)
  * Make it possible to run hal with dropped priviledges
    (not enabled by default)
  * Put hal-device-manager in it's own package (Closes: Bug#239122)
  * Install hal-hotplug-map helper
  * Updated hald manpage
  * Created hal-device-manager manpage
  * Disable selinux for now. A newer libselinux then in debian is needed.
  * debian/patches/hal-cdspeed.patch
    + Added. Fix for unchecked buffer access from Martin Pitt
  * debian/patches/libgphoto2-usermap.patch
    + Added. Let hal-hotplug-map work correctly with the libgphoto2 hotplug
      config.
  * Urgency high because this fixes RC bugs

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 26 Sep 2004 11:10:45 +0200

hal (0.2.97+cvs20040907-1) unstable; urgency=high

  * New maintainer.
  * New CVS snapshot (Closes: Bug#266158)
  * More robust hotplugging code (Closes: Bug#264597)
  * libhal.la no long declares a bogus dependency on libexpat
    (Closes: Bug#266667)
  * debian/patches/hal_volume_utf8.patch
    + removed. Already fixed upstream
  * Changed fstab-update.sh to fstab-update.hal. Only callouts with the .hal
    extension are invoked now.
  * Conflict with old gnome-volume-manager
  * Urgency high because it fixes RC bugs in testing

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  7 Sep 2004 22:17:15 +0200

hal (0.2.97-0.1) unstable; urgency=low

  * NMU for New upstream release.
    + sarge freezes tomorrow, this should beat the deadline.
    + Works with D-BUS 0.22 and above.
  * Tighten D-BUS Build-Deps/Depends to >= 0.22.

 -- Daniel Stone <daniels@debian.org>  Mon, 16 Aug 2004 17:34:37 -0700

hal (0.2.95-5) unstable; urgency=medium

  * Urgency medium as this release should enter testing soon
  * Replace hal_volume_utf8.patch with hal_validate_utf8.patch

 -- Martin Waitz <tali@debian.org>  Mon,  2 Aug 2004 20:23:51 +0200

hal (0.2.95-4) unstable; urgency=low

  * Manage patches with quilt.
  * Apply hal_volume_utf8.patch and hal_mounted_on_startup.patch
    from Sjoerd Simons (Closes: #261723)

 -- Martin Waitz <tali@debian.org>  Wed, 28 Jul 2004 21:34:56 +0200

hal (0.2.95-3) unstable; urgency=low

  * Explicitly depend on dbus 0.21-7 to get hald started (Closes: #261582)

 -- Martin Waitz <tali@debian.org>  Tue, 27 Jul 2004 23:15:40 +0200

hal (0.2.95-2) unstable; urgency=low

  * Build-depend on libpopt-dev

 -- Martin Waitz <tali@debian.org>  Sat, 24 Jul 2004 21:43:18 +0200

hal (0.2.95-1) unstable; urgency=low

  * New upstream release (Closes: #259860)
    - hal hotplug helper executes in background (Closes: #237836)
    - hal-device-manager shows error message in dialog (Closes: #233854)
  * debian/rules: use upstream doc/api Makefiles to build docs.
  * debian/{rules,hal.postinst,hal.init,hal.init.dbus}:
    Start hald together with dbus (Closes: #231704)
  * Apply patch from David Weinehall <tao@debian.org> to make
    the fstab update script not require bash (Closes: #259293)
  * Cleanup syslog usage in the hotplug helper
  * remove HACKING reference from README (Closes: #260241)
  * fix hal-device-manager when info.product key misses

 -- Martin Waitz <tali@debian.org>  Fri, 23 Jul 2004 21:33:03 +0200

hal (0.2.93+20040711-2) unstable; urgency=low

  * rerun libtoolize to fix libhal0, argh. (Closes: #259111)

 -- Martin Waitz <tali@debian.org>  Tue, 13 Jul 2004 21:45:20 +0200

hal (0.2.93+20040711-1) unstable; urgency=low

  * New CVS checkout (Closes: #257781)
    - includes part of my get-properties patch (Closes: #238175)
  * debian/control: build-depend on python (Closes: #258461)
  * add shlib file (Closes: #253779)
  * support vc class in linux hotplug helper (Closes: #258112)

 -- Martin Waitz <tali@debian.org>  Mon, 12 Jul 2004 23:43:54 +0200

hal (0.2.92-1) unstable; urgency=low

  * New upstream release
  * debian/README.Debian: add note about fstab-update callout
  * fix COPYING, by accident it only contained the GPL

 -- Martin Waitz <tali@debian.org>  Tue,  8 Jun 2004 21:51:44 +0200

hal (0.2.91-1) unstable; urgency=low

  * New upstream release

 -- Martin Waitz <tali@debian.org>  Wed, 26 May 2004 00:28:25 +0200

hal (0.2.90+20040515-1) unstable; urgency=low

  * New CVS checkout
  * debian/fstab-update.sh: add example from cvs tree
  * debian/rules: install fstab-update.sh as example into hal/device.d
    (but leave it -x for now to disable it)

 -- Martin Waitz <tali@debian.org>  Sat, 15 May 2004 19:55:11 +0200

hal (0.2.90+20040511-1) unstable; urgency=low

  * New CVS checkout

 -- Martin Waitz <tali@debian.org>  Tue, 11 May 2004 20:13:53 +0200

hal (0.2.90+20040424-1) unstable; urgency=low

  * New CVS checkout

 -- Martin Waitz <tali@debian.org>  Sat, 24 Apr 2004 13:15:48 +0200

hal (0.2.6+20040331-1) unstable; urgency=low

  * New CVS checkout

 -- Martin Waitz <tali@debian.org>  Wed, 31 Mar 2004 22:25:22 +0200

hal (0.2.6+20040311-1) unstable; urgency=low

  * New CVS checkout (Closes: #237436)
  * don't die if usbfs is not mounted (Closes: # 234364)
  * print better error message if hald is not runnig (one part of #233854)

 -- Martin Waitz <tali@debian.org>  Thu, 11 Mar 2004 20:51:59 +0100

hal (0.2.6-4) unstable; urgency=low

  * debian/hal.postinst: restart dbus on configure, so that it
    reads our dbus policy configuration file
  * debian/control: add dependency on some python modules and usbutils
    (Closes: #231312, #231555, #231607)

 -- Martin Waitz <tali@debian.org>  Sat,  7 Feb 2004 21:49:57 +0100

hal (0.2.6-3) unstable; urgency=low

  * first upload to unstable
  * debian/control: add phython2.3-dbus dependency

 -- Martin Waitz <tali@debian.org>  Thu,  5 Feb 2004 22:07:22 +0100

hal (0.2.6-2) experimental; urgency=low

  * Merge with package from Ross Burton <ross@burtonini.com>
    - debian/control: add hal-doc, update build-depends
    - debian/rules: build documentation
    - debian/hal-doc.install: include dokumentation in hal-doc
    - debian/hal.postrm: new file
    - debian/hal-device-manager.desktop: new file
    - debian/hal.install: add desktop file

 -- Martin Waitz <tali@debian.org>  Tue, 27 Jan 2004 02:31:10 +0100

hal (0.2.6-1) experimental; urgency=low

  * Initial Release. (Closes: #217468)

 -- Martin Waitz <tali@debian.org>  Tue, 20 Jan 2004 01:41:51 +0100

